List SIM card group actions
This API allows listing a paginated collection a SIM card group actions. It allows to explore a collection of existing asynchronous operation using specific filters.
GET
/
sim_card_group_actions
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const simCardGroupAction of client.simCardGroups.actions.list()) {
console.log(simCardGroupAction.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.sim_card_groups.actions.list()
page = page.data[0]
print(page.id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.SimCardGroups.Actions.List(context.TODO(), telnyx.SimCardGroupActionListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.simcardgroups.actions.ActionListPage;
import com.telnyx.sdk.models.simcardgroups.actions.ActionListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionListPage page = client.simCardGroups().actions().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.sim_card_groups.actions.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->simCardGroups->actions->list(
filterSimCardGroupID: '47a1c2b0-cc7b-4ab1-bb98-b33fb0fc61b9',
filterStatus: 'in-progress',
filterType: 'set_private_wireless_gateway',
pageNumber: 1,
pageSize: 1,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx sim-card-groups:actions list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/sim_card_group_actions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "sim_card_group_action",
"sim_card_group_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"type": "set_private_wireless_gateway",
"status": "in-progress",
"settings": {
"private_wireless_gateway_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"wireless_blocklist_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58"
},
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "10007",
"title": "Unexpected error",
"detail": "An unexpected error occured."
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The page number to load.
Required range:
x >= 1The size of the page.
Required range:
1 <= x <= 250A valid SIM card group ID.
Example:
"47a1c2b0-cc7b-4ab1-bb98-b33fb0fc61b9"
Filter by a specific status of the resource's lifecycle.
Available options:
in-progress, completed, failed Example:
"in-progress"
Filter by action type.
Available options:
set_private_wireless_gateway, remove_private_wireless_gateway, set_wireless_blocklist, remove_wireless_blocklist Example:
"set_private_wireless_gateway"
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const simCardGroupAction of client.simCardGroups.actions.list()) {
console.log(simCardGroupAction.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.sim_card_groups.actions.list()
page = page.data[0]
print(page.id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.SimCardGroups.Actions.List(context.TODO(), telnyx.SimCardGroupActionListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.simcardgroups.actions.ActionListPage;
import com.telnyx.sdk.models.simcardgroups.actions.ActionListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionListPage page = client.simCardGroups().actions().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.sim_card_groups.actions.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->simCardGroups->actions->list(
filterSimCardGroupID: '47a1c2b0-cc7b-4ab1-bb98-b33fb0fc61b9',
filterStatus: 'in-progress',
filterType: 'set_private_wireless_gateway',
pageNumber: 1,
pageSize: 1,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx sim-card-groups:actions list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/sim_card_group_actions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "sim_card_group_action",
"sim_card_group_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"type": "set_private_wireless_gateway",
"status": "in-progress",
"settings": {
"private_wireless_gateway_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"wireless_blocklist_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58"
},
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "10007",
"title": "Unexpected error",
"detail": "An unexpected error occured."
}
]
}